MeiroDocs

Data Sources

Required feature (one of):

Section: Group Data Sources. Base URL: https://instance_name.meiro.io/api/.

Data Sources [/customers/sources{?limit,offset,order_by,order_dir,show_hidden}]

List All Data Sources [GET]

Required feature (one of):

  • settings/cdp_entities

  • settings/sources_and_destinations

  • data/sources_and_destinations

  • customers/search

  • customers/detail

  • data/dashboard

  • data/insights

  • segments/insights

  • data/events

  • Parameters

    • limit (number, optional) - Limit of the number of records returned
    • offset (number, optional) - Offset for the number of records returned
    • order_by (string, optional) - Ordered column name
    • order_dir (string, optional) - Ordering direction
    • show_hidden (integer, optional) - Result will include hidden sources if set to 1
  • Request (application/json)

    • Headers

      X-Access-Token: 1234567890abcdef

  • Response 200 (application/json)

{
    "sources": [
        {
            "id": "1",
            "name": "example source",
            "description": null,
            "type": "example type",
            "is_hidden": 0,
            "is_system": 0,
            "modified": "2018-09-07T22:49:29Z",
            "created": "2018-09-07T22:49:29Z"
        }
    ],
    "selection_settings": {
        "limit": 20,
        "offset": null,
        "order_by": "id",
        "order_dir": "ASC",
        "show_hidden": false
    }
}

Create a Source [POST]

Required feature: settings/cdp_entities

  • Attributes

    • id: source_id (string)
    • name: example source (string)
    • type: source type (string)
    • description: source description (string, optional)
    • is_hidden: 0 (number, optional)
    • frontend_settings: {} (string) - optional (json)
  • Request (application/json)

    • Headers

      X-Access-Token: 1234567890abcdef

  • Response 201 (application/json)

{
    "source": {
        "id": "source_id",
        "name": "example source",
        "type": "source type",
        "description": "source description",
        "is_hidden": 0,
        "is_system": 0,
        "frontend_settings": {},
        "modified": "2017-01-01 15:35:00",
        "created": "2017-01-01 15:35:00"
    }
}

Data Source [/customers/sources/{source_id}]

Retrieve a Data Source [GET]

Required feature (one of):

  • settings/cdp_entities

  • settings/sources_and_destinations

  • data/sources_and_destinations

  • customers/search

  • customers/detail

  • data/dashboard

  • data/insights

  • segments/insights

  • data/events

  • Request (application/json)

    • Headers

      X-Access-Token: 1234567890abcdef

  • Response 200 (application/json)

{
    "source": {
       "id": "1",
        "name": "example source",
        "description": null,
        "type": "example type",
        "is_hidden": 0,
        "is_system": 0,
        "modified": "2018-09-07T22:49:29Z",
        "created": "2018-09-07T22:49:29Z"
    }
}

Modify a Source [PATCH]

Required feature: settings/cdp_entities

  • Attributes

    • name: example source (string, optional)
    • type: source type (string, optional)
    • description: source description (string, optional)
    • is_hidden: 0 (number, optional)
    • frontend_settings: {} (string) - optional (json)
  • Request (application/json)

    • Headers

      X-Access-Token: 1234567890abcdef

  • Response 200 (application/json)

{
    "source": {
        "id": "source_id",
        "name": "example source",
        "type": "source type",
        "description": "source description",
        "is_hidden": 0,
        "is_system": 0,
        "frontend_settings": {},
        "modified": "2017-01-01 15:35:00",
        "created": "2017-01-01 15:35:00"
    }
}

Data Sources Count [/customers/sources_count]

Get Total Number of Sources [GET]

Required feature: data/dashboard

  • Request (application/json)

    • Headers

      X-Access-Token: 1234567890abcdef

  • Response 200 (application/json)

{
    "sources_count": 4
}

On this page